#!/bin/bash

src=ReleaseMono
#src=DebugMono

target=/opt/tdm
menu=/usr/share/applications

echo "This will install Turbo Download Manager in ${target}"
read -p "Press enter to continue. Ctrl-C to abort..."

uname="$(uname -s)"
case "${uname}" in
    Linux*)     os=Linux;;
    *)          echo ${uname} Not Supported; exit 1
esac
echo Detected OS: ${os}

command -v mono >/dev/null 2>&1 || { echo "Mono is missing. Install with" >&2; echo "    sudo apt-get install mono-complete" >&2; exit 1; }

echo "Installing TDM in ${target}"
sudo mkdir -p ${target}
sudo cp -Rf ${src}/* ${target}/
sudo find ${target}/ -type f -exec chmod a+r-wx {} \;
sudo find ${target}/ -type d -exec chmod a+rx-w {} \; 
sudo dos2unix ${target}/tdm_linux_start.sh
sudo chmod a+x ${target}/tdm_linux_start.sh

#install a desktop Icon
case "${os}" in
    Linux)     
		echo "Installing Desktop Icon for Gnome in ${menu}"
		cp ${src}/tdm.linux.desktop.template ${src}/tdm.desktop
		echo Icon=${target}/Assets/TD/res/drawable/turbo_512x512.png >> ${src}/tdm.desktop
		sudo cp ${src}/tdm.desktop ${menu}/tdm.desktop
        sudo chgrp root ${menu}/tdm.desktop
        sudo chmod u+rw,go-wx+r ${menu}/tdm.desktop

		;;
esac


echo "Turbo Download Manager installed"